local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS


PrefabFiles = {
	"donkeykong",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/donkeykong.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/donkeykong.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/donkeykong.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/donkeykong.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/donkeykong_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/donkeykong_silho.xml" ),

    Asset( "IMAGE", "bigportraits/donkeykong.tex" ),
    Asset( "ATLAS", "bigportraits/donkeykong.xml" ),

	Asset("IMAGE", "images/donkeykongmini.tex"),
	Asset("ATLAS", "images/donkeykongmini.xml"),

}

AddMinimapAtlas("images/donkeykongmini.xml")

--GLOBAL.STRINGS.NAMES.DONKEYKONG = "Donkey Kong"

local kong_sayings = {
	"Woo hoo hoo!", "Ah ah!", "Eeeeeheee!", "Oooh ah oh?", "Feature Length!", "Expand Dong!", "Cool!",
	"Okay!", "Hee!", "Eughhh!", "Huh?", "Yeah...", "Mrrghhhhh!", "Eh ehem ugh eh eh eh!", "Oh hoo...",
	"Ronkey rong!", "Oooh ooh oah OOOH!", "Wow!", "I'd shower you with coconut cream pies!", "Ohhhh! Banana!",
}

local _GetSpecialCharacterString = GLOBAL.GetSpecialCharacterString
GLOBAL.GetSpecialCharacterString = function(character, ...)
	character = string.lower(character)
	return (character == "donkeykong" and kong_sayings[math.random(#kong_sayings)]) or _GetSpecialCharacterString(character, ...)
end



table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "donkeykong")


local function ModMaxwellIntro(inst)
	if GLOBAL.GetPlayer().prefab == "donkeykong" then
	inst.components.maxwelltalker.speeches.SANDBOX_1 =
        {
            appearsound = "dontstarve/maxwell/disappear",
	    voice = "dontstarve/maxwell/talk_LP",
		appearanim = "appear",
		idleanim= "idle",
		dialogpreanim = "dialog_pre",
		dialoganim="dial_loop",
		dialogpostanim = "dialog_pst",
		disappearanim = "disappear",
            disableplayer = true,
            skippable = true,
            {
                string = "Eh?",
                wait = 2,
                anim = nil,
                sound = nil,
            },
            {
                string = "Hey boy, you like to play don't you?",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "No english huh?",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "Ehhhh, carry on then...",
                wait = 3,
                anim = nil,
                sound = nil,
            },
	}
			
		inst.components.maxwelltalker.speeches.ADVENTURE_1 =
        {
		delay = 2,
        appearsound = "dontstarve/maxwell/appear_adventure",
	    voice = "dontstarve/maxwell/talk_LP_world1",
		appearanim = "appear2",
		idleanim = "idle2_loop",
		dialogpreanim = "dialog2_pre",
		dialoganim ="dialog2_loop",
		dialogpostanim = "dialog2_pst",
		disappearanim = "disappear2",
            disableplayer = true,
            skippable = false,
            {
			string = "So you've found my portal have you?",
			wait = 3,
			anim = nil,
			sound = nil,
		},
		{
			string = "This is the first level.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "No, you don't have to collect golden bananas this time.", 
			wait = 3, 
			anim = nil, 
			sound = nil, 
		},
		{
			string = "Have fun...", 
			wait = 2, 
			anim = nil, 
			sound = nil, 
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_2 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world2",
		appearanim = "appear3",
		idleanim = "idle3_loop",
		dialogpreanim = "dialog3_pre",
		dialoganim ="dialog3_loop",
		dialogpostanim = "dialog3_pst",
		disappearanim = "disappear3",
		disableplayer = true,
		skippable = true,
				{
			string = "Good work.",
			wait = 2,
			anim = nil,
			sound = nil,
		},
		{
			string = "That was just the beginning.", 
			wait = 4, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "Have another challenge just to be sure.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}
	
	inst.components.maxwelltalker.speeches.ADVENTURE_3 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world4",
		appearanim = "appear4",
		idleanim = "idle4_loop",
		dialogpreanim = "dialog4_pre",
		dialoganim ="dialog4_loop",
		dialogpostanim = "dialog4_pst",
		disappearanim = "disappear4",
		disableplayer = true,
		skippable = true,
		{
			string = "You're doing well, it's almost as if you're made to fight...",
			wait = 3,
			anim = nil,
			sound = nil,
		},
		{
			string = "I'll find your limits! I know it!", 
			wait = 4, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_4 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world4",
		appearanim = "appear4",
		idleanim = "idle4_loop",
		dialogpreanim = "dialog4_pre",
		dialoganim ="dialog4_loop",
		dialogpostanim = "dialog4_pst",
		disappearanim = "disappear4",
		disableplayer = true,
		skippable = true,
		{
			string = "Not bad for a monkey...",
			wait = 4,
			anim = nil,
			sound = nil,
		},
		{
			string = "I like challenge...", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "But now it really starts.", 
			wait = 2.5, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_TWOLANDS =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP",
		appearanim = "appear2",
		idleanim = "idle2_loop",
		dialogpreanim = "dialog2_pre",
		dialoganim ="dialog2_loop",
		dialogpostanim = "dialog2_pst",
		disappearanim = "disappear2",
		disableplayer = true,
		skippable = true,
			{
			string = "Greetings. AGAIN.",
			wait = 1,
			anim = nil,
			sound = nil,
		},
		{
			string = "I can not stand for such behavior!",
			wait = 2,
			anim = nil,
			sound = nil,
		},
		{
			string = "So I came here to make you a deal.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "I will allow you to stay in this wonderful area!", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "Or you can take the wormhole and get feasted upon by Merms.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "You aren't good enough to try me.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "Whatever your choice. Live forever, or die trying.", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
	}

        inst.components.maxwelltalker.speeches.ADVENTURE_5 =
	{		
		delay = 2,
	    voice = "dontstarve/maxwell/talk_LP_world5",
		appearanim = "appear5",
		idleanim = "idle5_loop",
		dialogpreanim = "dialog5_pre",
		dialoganim ="dialog5_loop",
		dialogpostanim = "dialog5_pst",
		disappearanim = "disappear5",
		disableplayer = true,
		skippable = true,
		{
			string = "ENOUGH!",
			wait = 1,
			anim = nil,
			sound = nil,
		},
		{
			string = "I CAN'T STAND YOU!", 
			wait = 1.5, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "I'M TIRED!", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "HOW MANY MORE LINES DO I HAVE TO WRITE?", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "LOREM IPSUM?", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "BUT EH, WE CAN STILL FINISH THIS GAME!", 
			wait = 3, 
			anim = nil, 
			sound = nil,
		},
		{
			string = "I'LL BE WAITING...", 
			wait = 2.5, 
			anim = nil, 
			sound = nil,
		},
	}
            
	
	end
end
--


AddModCharacter("donkeykong", "MALE")
AddPrefabPostInit("maxwellintro", ModMaxwellIntro)
