
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/donkeykong.zip" ),
}
local prefabs = {}

local function oneat(inst, data)
	if data and (data.food.prefab == "cave_banana" or data.food.prefab == "cave_banana_cooked") then
		if inst.components.sanity then
			inst.components.sanity:DoDelta(TUNING.SANITY_SMALL)
		end
	end
end
local start_inv = { "cave_banana", "cave_banana", "cave_banana", "cave_banana", "cave_banana"}

local fn = function(inst)


	-- choose which sounds this character will play
	inst.soundsname = "woodie"
	--inst.talker_path_override = "dontstarve_DLC002/characters/"

	-- a minimap icon must be specified
    inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("donkeykongmini.tex")

	-- todo: Add an example special power here.

	inst:ListenForEvent("oneatsomething", oneat)

	--inst:AddTag("donkeykong")
	--inst:AddTag("monkey")

	inst.components.hunger:SetMax(150)
	inst.components.sanity:SetMax(160)
	inst.components.health:SetMaxHealth(200)
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 0.9)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 0.9)
	inst.components.combat.damagemultiplier = 1.75
	inst.components.sanity.night_drain_mult = 1.1
	inst.components.sanity.neg_aura_mult = 1.1


end

STRINGS.CHARACTER_TITLES.donkeykong = "The King of the Jungle"
STRINGS.CHARACTER_NAMES.donkeykong = "Sir Donkey R. Kong III"
STRINGS.CHARACTER_DESCRIPTIONS.donkeykong ="*Is an expansive brute\n*Skittish and a bit slow\n*Doesn't speak any human language"
STRINGS.CHARACTER_QUOTES.donkeykong = "\Woo hoo hoo!\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
STRINGS.CHARACTERS.donkeykong = require "speech_donkeykong"

return MakePlayerCharacter("donkeykong", prefabs, assets, fn, start_inv)
